GridBagConstraints
Date: 2019-10-22

org.jmol.awtjs.swing

## Class GridBagConstraints

- java.lang.Object
- - org.jmol.awtjs.swing.GridBagConstraints

-     public class GridBagConstraints
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `anchor`
    `static int` | `CENTER`
    `static int` | `EAST`
    `int` | `fill`
    `int` | `gridheight`
    `int` | `gridwidth`
    `int` | `gridx`
    `int` | `gridy`
    `(package private) Insets` | `insets`
    `int` | `ipadx`
    `int` | `ipady`
    `static int` | `NONE`
    `(package private) double` | `weightx`
    `(package private) double` | `weighty`
    `static int` | `WEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridBagConstraints(int gridx, int gridy, int gridwidth, int gridheight, double weightx, double weighty, int anchor, int fill, Insets insets, int ipadx, int ipady)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String` | `getStyle(boolean margins)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final int NONE

      See Also:
        Constant Field Values

    - #### CENTER

          public static final int CENTER

      See Also:
        Constant Field Values

    - #### WEST

          public static final int WEST

      See Also:
        Constant Field Values

    - #### EAST

          public static final int EAST

      See Also:
        Constant Field Values

    - #### gridx

          public int gridx

    - #### gridy

          public int gridy

    - #### gridwidth

          public int gridwidth

    - #### gridheight

          public int gridheight

    - #### weightx

          double weightx

    - #### weighty

          double weighty

    - #### anchor

          public int anchor

    - #### fill

          public int fill

    - #### insets

          Insets insets

    - #### ipadx

          public int ipadx

    - #### ipady

          public int ipady

  - ### Constructor Detail

    - #### GridBagConstraints

          public GridBagConstraints(int gridx,
                                    int gridy,
                                    int gridwidth,
                                    int gridheight,
                                    double weightx,
                                    double weighty,
                                    int anchor,
                                    int fill,
                                    Insets insets,
                                    int ipadx,
                                    int ipady)

  - ### Method Detail

    - #### getStyle

          java.lang.String getStyle(boolean margins)